6.0.0-git
2019-04-25

[#6388] Input validation for recurrence XML loader
Summary Input validation for recurrence XML loader
Queue Kolab
Type Enhancement
State Resolved
Priority 1. Low
Owners wrobel (at) horde (dot) org
Requester thomas.jarosch (at) intra2net (dot) com
Created 2008-03-06 (4067 days ago)
Due
Updated 2008-03-07 (4066 days ago)
Assigned 2008-03-06 (4067 days ago)
Resolved 2008-03-07 (4066 days ago)
Milestone
Patch No

History
2008-03-07 08:38:10 Gunnar Wrobel Comment #3
State ⇒ Resolved
Reply to this comment
Thanks! Added some tests to it, looked fine, in cvs.
2008-03-06 15:39:22 thomas (dot) jarosch (at) intra2net (dot) com Comment #2 Reply to this comment
Haha, I always do the same thing: I want to queue my patch for the Kolab queue

and when I scroll down in the selector I take the "framework" 
selection. Sorry, Jan :-)


2008-03-06 15:26:25 Jan Schneider Assigned to Gunnar Wrobel
State ⇒ Assigned
 
2008-03-06 15:26:15 Jan Schneider Version ⇒
Queue ⇒ Kolab
 
2008-03-06 15:20:19 thomas (dot) jarosch (at) intra2net (dot) com Comment #1
Type ⇒ Enhancement
State ⇒ New
Priority ⇒ 1. Low
Summary ⇒ Input validation for recurrence XML loader
Queue ⇒ Horde Framework Packages
New Attachment: kolab-xml-validate-recurrence.patch Download
Reply to this comment
Hello together,



attached patch adds input validation to Kolab's recurrence XML loader

with verbose error messages to track down errors in the data.

Please review and include. Thanks.



Cheers,

Thomas


Saved Queries